Start Recording
curl --request POST \
--url https://api.trillet.ai/v2/api/recordings/start-recording \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"pathwayId": "<string>",
"roomName": "<string>"
}
'import requests
url = "https://api.trillet.ai/v2/api/recordings/start-recording"
payload = {
"pathwayId": "<string>",
"roomName": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pathwayId: '<string>', roomName: '<string>'})
};
fetch('https://api.trillet.ai/v2/api/recordings/start-recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Recording started successfully",
"result": {
"egressId": "EG_abc123"
}
}
Start Recording
Start recording an active call.
POST
/
v2
/
api
/
recordings
/
start-recording
Start Recording
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Request Body
string
required
The call flow pathway ID associated with the call.
string
required
The LiveKit room name of the active call to start recording.
Response Fields
string
Confirmation message.
object
Recording result details from LiveKit.
{
"message": "Recording started successfully",
"result": {
"egressId": "EG_abc123"
}
}
⌘I
